Bug 180324 - [PATCH] net-mgmt/ipv6mon modified rc.d script for multiple interfaces
Summary: [PATCH] net-mgmt/ipv6mon modified rc.d script for multiple interfaces
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 16:30 UTC by Fabian Wenk
Modified: 2014-09-15 18:14 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.59 KB, patch)
2013-07-05 16:30 UTC, Fabian Wenk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Wenk 2013-07-05 16:30:00 UTC
I modified the rc.d/ipv6mon script to be able to start multiple instances of ipv6mon when multiple interfaces are present on the system.

Explanation on how to use it is as comment in the script itself.

Patch is attached.

Fix: Apply the attached patch.

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 16:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Carlo Strub freebsd_committer 2014-09-14 10:36:04 UTC
Is this PR still relevant?
Comment 3 Fabian Wenk 2014-09-14 17:26:06 UTC
Hello Carlo

Yes, of course. Could you please apply this patch, it provides the 
possibility to use the rc.d script with multiple network interfaces.

Thank you!


bye
Fabian
Comment 4 Carlo Strub freebsd_committer 2014-09-14 19:49:29 UTC
Back to pool.
Comment 5 commit-hook freebsd_committer 2014-09-15 16:12:26 UTC
A commit references this bug:

Author: hrs
Date: Mon Sep 15 16:11:41 UTC 2014
New revision: 368273
URL: http://svnweb.freebsd.org/changeset/ports/368273

Log:
  - Add $ipv6mon_interfaces support to rc.d/ipv6mon.
  - Style fix.

  PR:	180324

Changes:
  head/net-mgmt/ipv6mon/Makefile
  head/net-mgmt/ipv6mon/files/Makefile
  head/net-mgmt/ipv6mon/files/ipv6mon.in
  head/net-mgmt/ipv6mon/files/patch-Makefile
  head/net-mgmt/ipv6mon/pkg-descr
Comment 6 Hiroki Sato freebsd_committer 2014-09-15 16:16:17 UTC
Committed a patch to support multiple interfaces.  The behavior is a bit different, but I think it realizes the functionality in the submitted patch.